Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class ReferenceComponentGroupService

    java.lang.Object
      org.jasig.portal.groups.ReferenceComponentGroupService

All Implemented Interfaces:
  IComponentGroupService

Direct Known Subclasses:
  ReferenceCompositeGroupService

    public class ReferenceComponentGroupService

extends java.lang.Object
implements IComponentGroupService

Reference implementation of IComponentGroupService.

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck

Field Summary
`protected java.util.Map` | `componentServices` The services contained by this component, keyed on the name of the service as it is known within this component.
`protected javax.naming.Name` | `serviceName` The fully-qualified `Name` of the service, which may not be known until the composite service is fully assembled.

Constructor Summary
`ReferenceComponentGroupService()` ReferenceComponentGroupService constructor comment.

Method Summary
`java.util.Map` | `getComponentServices()` Returns a `Map` of the services contained by this component, keyed on the name of the service WITHIN THIS COMPONENT.
`javax.naming.Name` | `getServiceName()` Returns the FULLY-QUALIFIED `Name` of the service, which may not be known until the composite service is assembled.
`boolean` | `isLeafService()` Answers if this service is a leaf in the composite; a service that actually operates on groups.
`void` | `setServiceName(javax.naming.Name newServiceName)` Sets the name of the service to the new value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### componentServices

    protected java.util.Map componentServices

  The services contained by this component, keyed on the name of the service as it is known within this component. Used to assemble the composite.

### serviceName

    protected javax.naming.Name serviceName

  The fully-qualified `Name` of the service, which may not be known until the composite service is fully assembled.

Constructor Detail

### ReferenceComponentGroupService

    public ReferenceComponentGroupService()

  ReferenceComponentGroupService constructor comment.

Method Detail

### getComponentServices

    public java.util.Map getComponentServices()

  Returns a `Map` of the services contained by this component, keyed on the name of the service WITHIN THIS COMPONENT.

  Specified by:
    `getComponentServices` in interface `IComponentGroupService`

### getServiceName

    public javax.naming.Name getServiceName()

  Returns the FULLY-QUALIFIED `Name` of the service, which may not be known until the composite service is assembled.

  Specified by:
    `getServiceName` in interface `IComponentGroupService`

### isLeafService

    public boolean isLeafService()

  Answers if this service is a leaf in the composite; a service that actually operates on groups.

  Specified by:
    `isLeafService` in interface `IComponentGroupService`

### setServiceName

    public void setServiceName(javax.naming.Name newServiceName)

  Sets the name of the service to the new value.

  Specified by:
    `setServiceName` in interface `IComponentGroupService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD